Bug 120846 - workspace switcher changes application at focus when switching workspace
workspace switcher changes application at focus when switching workspace
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libwnck (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-14 10:26 EDT by Chen Nan
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-19 10:21:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chen Nan 2004-04-14 10:26:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
When using workspace switcher to switch between workspaces, the
current application with focus is changed to the appication that is at
the point you cicked.

This behavior is definitely different from RH9. In RH9, no matter
where you click when switching to a different workspace, the current
application at focus in the workspace will remain in focus.

It is very annoying.

Version-Release number of selected component (if applicable):
gnome-applets-2.5.7-4

How reproducible:
Always

Steps to Reproduce:
1. Open an application in workspace 1, maximize it.
2. Open another application in workspace 1, make sure it doesn't
occupy the whole screen and make sure this application is at focus.
3. Switch to a different workspace.
4. Mouse left-click in the area, which represents workspace 1, at the
point that falls on the first application (maximized).
    

Actual Results:  First application (maximized) gets focus, moves on
top and covers the second application.

Expected Results:  Second application remains in focus, on top of
second application.

Additional info:

I am using FC2 Test 2. I didn't upgrade gnome or gnome-applets.
Comment 1 Forrest 2004-04-19 13:56:16 EDT
I agree that this is annoying.  I liked the RHL 8.0/9 fuctionality. 
You could click on the workspace chooser to choose the workspace
without changing the focus.  Once you changed workspaces, you could
change focus with the chooser on that workspace.

I don't want to have to concentrate on a small dialog box (for
example) when I change workspaces.
Comment 2 Mark McLoughlin 2004-07-19 10:21:33 EDT
This is fixed upstream in 2.6.2.1 - you'll see the fix in rawhide
(which will become Fedora Core 3) when we start pulling in the GNOME
2.7/2.8 packages. See:

  http://bugzilla.gnome.org/show_bug.cgi?id=124981

Note You need to log in before you can comment on or make changes to this bug.